Package org.tmatesoft.svn.core.wc

# Class SVNConflictStats

java.lang.Object
org.tmatesoft.svn.core.wc.SVNConflictStats

public class SVNConflictStats extends Object

## Constructor Summary

Constructors
Constructor
Description
`SVNConflictStats()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPropConflictsCount()`
`int`
`getResolvedPropConflictsCount()`
`int`
`getResolvedTextConflictsCount()`
`int`
`getResolvedTreeConflictsCount()`
`int`
`getSkippedPathsCount()`
`int`
`getTextConflictsCount()`
`int`
`getTreeConflictsCount()`
`void`
`incrementPropConflictsResolved(String path)`
`void`
`incrementSkippedPaths()`
`void`
`incrementTextConflictsResolved(String path)`
`void`
`incrementTreeConflictsResolved(String path)`
`void`
`storePropConflict(String path)`
`void`
`storeTextConflict(String path)`
`void`
`storeTreeConflict(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVNConflictStats

public SVNConflictStats()

## Method Details

### incrementTextConflictsResolved

public void incrementTextConflictsResolved(String path)

### incrementPropConflictsResolved

public void incrementPropConflictsResolved(String path)

### incrementTreeConflictsResolved

public void incrementTreeConflictsResolved(String path)

### getResolvedTextConflictsCount

public int getResolvedTextConflictsCount()

### getResolvedPropConflictsCount

public int getResolvedPropConflictsCount()

### getResolvedTreeConflictsCount

public int getResolvedTreeConflictsCount()

### incrementSkippedPaths

public void incrementSkippedPaths()

### storeTextConflict

public void storeTextConflict(String path)

### storePropConflict

public void storePropConflict(String path)

### storeTreeConflict

public void storeTreeConflict(String path)

### getTextConflictsCount

public int getTextConflictsCount()

### getPropConflictsCount

public int getPropConflictsCount()

### getTreeConflictsCount

public int getTreeConflictsCount()

### getSkippedPathsCount

public int getSkippedPathsCount()